Get Next Nonce by Account
POST
Retrieves the next nonce for a specific account.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
accountAddressstringrequired
Parameter specifying the account address to query. Can be entered as a 40-character hexadecimal string starting with 0x.Responses
noncestringrequired
Returns the next nonce value for the queried account.This value increments by 1 for each transaction created. Before creating a new transaction, check this value and use it to specify the transaction's nonce.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "MISSING_REQUIRED_PARAMETER","message": "Missing required parameter: { PARAMETER_NAME }"}
cURL
curl -X POST 'https://web3.nodit.io/v1/avalanche/mainnet/blockchain/getNextNonceByAccount' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"accountAddress": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"}'